#pragma once
#include "main.h"
#include "mymodel.h"

class myStar :
	public myModel
{
public:
	myStar(void);
	~myStar(void);

	virtual bool init();
	virtual void draw();
	virtual void clean();

private:
	typedef struct s_myVertex {
		float x,y,z,rhw;
		DWORD color;
	} myVertex;

	DWORD					m_vFormat;
	int						m_vCount;
	LPDIRECT3DVERTEXBUFFER9	m_vBuffer;
	int						m_iCount;
	LPDIRECT3DINDEXBUFFER9	m_iBuffer;

};
